Package javax.mail

# Class MessageRemovedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.mail.MessagingException
javax.mail.MessageRemovedException

All Implemented Interfaces:
  `Serializable`

public class MessageRemovedException extends MessagingException
The exception thrown when an invalid method is invoked on an expunged Message. The only valid methods on an expunged Message are `isExpunged()` and `getMessageNumber()`.

Author:
  John Mani
See Also:
  - `Message.isExpunged()`
  - `Message.getMessageNumber()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageRemovedException()`
Constructs a MessageRemovedException with no detail message.
`MessageRemovedException(String s)`
Constructs a MessageRemovedException with the specified detail message.
`MessageRemovedException(String s, Exception e)`
Constructs a MessageRemovedException with the specified detail message and embedded exception.

## Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageRemovedException

public MessageRemovedException()
Constructs a MessageRemovedException with no detail message.

### MessageRemovedException

public MessageRemovedException(String s)
Constructs a MessageRemovedException with the specified detail message.

Parameters:
  `s` - The detailed error message

### MessageRemovedException

public MessageRemovedException(String s, Exception e)
Constructs a MessageRemovedException with the specified detail message and embedded exception. The exception is chained to this exception.

Parameters:
  `s` - The detailed error message
  `e` - The embedded exception
Since:
  JavaMail 1.5